<?php
$tdataproprietari = array();
$tdataproprietari[".searchableFields"] = array();
$tdataproprietari[".ShortName"] = "proprietari";
$tdataproprietari[".OwnerID"] = "";
$tdataproprietari[".OriginalTable"] = "proprietari";


$tdataproprietari[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataproprietari[".originalPagesByType"] = $tdataproprietari[".pagesByType"];
$tdataproprietari[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataproprietari[".originalPages"] = $tdataproprietari[".pages"];
$tdataproprietari[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataproprietari[".originalDefaultPages"] = $tdataproprietari[".defaultPages"];

//	field labels
$fieldLabelsproprietari = array();
$fieldToolTipsproprietari = array();
$pageTitlesproprietari = array();
$placeHoldersproprietari = array();

if(mlang_getcurrentlang()=="Romanian")
{
	$fieldLabelsproprietari["Romanian"] = array();
	$fieldToolTipsproprietari["Romanian"] = array();
	$placeHoldersproprietari["Romanian"] = array();
	$pageTitlesproprietari["Romanian"] = array();
	$fieldLabelsproprietari["Romanian"]["id"] = "Id";
	$fieldToolTipsproprietari["Romanian"]["id"] = "";
	$placeHoldersproprietari["Romanian"]["id"] = "";
	$fieldLabelsproprietari["Romanian"]["proprietar"] = "Proprietar";
	$fieldToolTipsproprietari["Romanian"]["proprietar"] = "";
	$placeHoldersproprietari["Romanian"]["proprietar"] = "";
	$fieldLabelsproprietari["Romanian"]["cif"] = "Cif";
	$fieldToolTipsproprietari["Romanian"]["cif"] = "";
	$placeHoldersproprietari["Romanian"]["cif"] = "";
	$fieldLabelsproprietari["Romanian"]["telefon"] = "Telefon";
	$fieldToolTipsproprietari["Romanian"]["telefon"] = "";
	$placeHoldersproprietari["Romanian"]["telefon"] = "";
	$fieldLabelsproprietari["Romanian"]["email"] = "Email";
	$fieldToolTipsproprietari["Romanian"]["email"] = "";
	$placeHoldersproprietari["Romanian"]["email"] = "";
	$fieldLabelsproprietari["Romanian"]["dataObtinere"] = "Data Obtinere";
	$fieldToolTipsproprietari["Romanian"]["dataObtinere"] = "";
	$placeHoldersproprietari["Romanian"]["dataObtinere"] = "";
	$fieldLabelsproprietari["Romanian"]["observatii"] = "Observatii";
	$fieldToolTipsproprietari["Romanian"]["observatii"] = "";
	$placeHoldersproprietari["Romanian"]["observatii"] = "";
	$fieldLabelsproprietari["Romanian"]["proprietate"] = "Proprietate";
	$fieldToolTipsproprietari["Romanian"]["proprietate"] = "";
	$placeHoldersproprietari["Romanian"]["proprietate"] = "";
	$fieldLabelsproprietari["Romanian"]["username"] = "Username";
	$fieldToolTipsproprietari["Romanian"]["username"] = "";
	$placeHoldersproprietari["Romanian"]["username"] = "";
	$fieldLabelsproprietari["Romanian"]["password"] = "Password";
	$fieldToolTipsproprietari["Romanian"]["password"] = "";
	$placeHoldersproprietari["Romanian"]["password"] = "";
	$fieldLabelsproprietari["Romanian"]["userid"] = "Userid";
	$fieldToolTipsproprietari["Romanian"]["userid"] = "";
	$placeHoldersproprietari["Romanian"]["userid"] = "";
	$fieldLabelsproprietari["Romanian"]["block"] = "Block";
	$fieldToolTipsproprietari["Romanian"]["block"] = "";
	$placeHoldersproprietari["Romanian"]["block"] = "";
	$fieldLabelsproprietari["Romanian"]["group"] = "Group";
	$fieldToolTipsproprietari["Romanian"]["group"] = "";
	$placeHoldersproprietari["Romanian"]["group"] = "";
	$fieldLabelsproprietari["Romanian"]["reset"] = "Reset";
	$fieldToolTipsproprietari["Romanian"]["reset"] = "";
	$placeHoldersproprietari["Romanian"]["reset"] = "";
	if (count($fieldToolTipsproprietari["Romanian"]))
		$tdataproprietari[".isUseToolTips"] = true;
}


	$tdataproprietari[".NCSearch"] = true;



$tdataproprietari[".shortTableName"] = "proprietari";
$tdataproprietari[".nSecOptions"] = 0;

$tdataproprietari[".mainTableOwnerID"] = "";
$tdataproprietari[".entityType"] = 0;
$tdataproprietari[".connId"] = "web111_bl_at_vmw_ro";


$tdataproprietari[".strOriginalTableName"] = "proprietari";

		 



$tdataproprietari[".showAddInPopup"] = false;

$tdataproprietari[".showEditInPopup"] = false;

$tdataproprietari[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataproprietari[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataproprietari[".listAjax"] = false;
//	temporary
$tdataproprietari[".listAjax"] = false;

	$tdataproprietari[".audit"] = false;

	$tdataproprietari[".locking"] = false;


$pages = $tdataproprietari[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataproprietari[".edit"] = true;
	$tdataproprietari[".afterEditAction"] = 1;
	$tdataproprietari[".closePopupAfterEdit"] = 1;
	$tdataproprietari[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataproprietari[".add"] = true;
$tdataproprietari[".afterAddAction"] = 1;
$tdataproprietari[".closePopupAfterAdd"] = 1;
$tdataproprietari[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataproprietari[".list"] = true;
}



$tdataproprietari[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataproprietari[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataproprietari[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataproprietari[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataproprietari[".printFriendly"] = true;
}



$tdataproprietari[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataproprietari[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataproprietari[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataproprietari[".isUseAjaxSuggest"] = true;

$tdataproprietari[".rowHighlite"] = true;





$tdataproprietari[".ajaxCodeSnippetAdded"] = false;

$tdataproprietari[".buttonsAdded"] = false;

$tdataproprietari[".addPageEvents"] = false;

// use timepicker for search panel
$tdataproprietari[".isUseTimeForSearch"] = false;


$tdataproprietari[".badgeColor"] = "dc143c";


$tdataproprietari[".allSearchFields"] = array();
$tdataproprietari[".filterFields"] = array();
$tdataproprietari[".requiredSearchFields"] = array();

$tdataproprietari[".googleLikeFields"] = array();
$tdataproprietari[".googleLikeFields"][] = "id";
$tdataproprietari[".googleLikeFields"][] = "proprietar";
$tdataproprietari[".googleLikeFields"][] = "cif";
$tdataproprietari[".googleLikeFields"][] = "telefon";
$tdataproprietari[".googleLikeFields"][] = "email";
$tdataproprietari[".googleLikeFields"][] = "dataObtinere";
$tdataproprietari[".googleLikeFields"][] = "observatii";
$tdataproprietari[".googleLikeFields"][] = "proprietate";
$tdataproprietari[".googleLikeFields"][] = "username";
$tdataproprietari[".googleLikeFields"][] = "password";
$tdataproprietari[".googleLikeFields"][] = "userid";
$tdataproprietari[".googleLikeFields"][] = "block";
$tdataproprietari[".googleLikeFields"][] = "group";
$tdataproprietari[".googleLikeFields"][] = "reset";



$tdataproprietari[".tableType"] = "list";

$tdataproprietari[".printerPageOrientation"] = 0;
$tdataproprietari[".nPrinterPageScale"] = 100;

$tdataproprietari[".nPrinterSplitRecords"] = 40;

$tdataproprietari[".geocodingEnabled"] = false;










$tdataproprietari[".pageSize"] = 20;

$tdataproprietari[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataproprietari[".strOrderBy"] = $tstrOrderBy;

$tdataproprietari[".orderindexes"] = array();


$tdataproprietari[".sqlHead"] = "SELECT id,  	proprietar,  	cif,  	telefon,  	email,  	dataObtinere,  	observatii,  	proprietate,  	username,  	password,  	userid,  	block,  	`group`,  	reset";
$tdataproprietari[".sqlFrom"] = "FROM proprietari";
$tdataproprietari[".sqlWhereExpr"] = "";
$tdataproprietari[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataproprietari[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataproprietari[".arrGroupsPerPage"] = $arrGPP;

$tdataproprietari[".highlightSearchResults"] = true;

$tableKeysproprietari = array();
$tableKeysproprietari[] = "id";
$tdataproprietari[".Keys"] = $tableKeysproprietari;


$tdataproprietari[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
										

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["id"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "id";
//	proprietar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "proprietar";
	$fdata["GoodName"] = "proprietar";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","proprietar");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "proprietar";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "proprietar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["proprietar"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "proprietar";
//	cif
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "cif";
	$fdata["GoodName"] = "cif";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","cif");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "cif";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cif";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["cif"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "cif";
//	telefon
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "telefon";
	$fdata["GoodName"] = "telefon";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","telefon");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "telefon";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "telefon";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["telefon"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "telefon";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","email");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["email"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "email";
//	dataObtinere
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "dataObtinere";
	$fdata["GoodName"] = "dataObtinere";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","dataObtinere");
	$fdata["FieldType"] = 135;

	
	
	
										

		$fdata["strField"] = "dataObtinere";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dataObtinere";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["dataObtinere"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "dataObtinere";
//	observatii
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "observatii";
	$fdata["GoodName"] = "observatii";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","observatii");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "observatii";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observatii";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["observatii"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "observatii";
//	proprietate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "proprietate";
	$fdata["GoodName"] = "proprietate";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","proprietate");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "proprietate";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "proprietate";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["proprietate"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "proprietate";
//	username
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "username";
	$fdata["GoodName"] = "username";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","username");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "username";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "username";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["username"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "username";
//	password
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "password";
	$fdata["GoodName"] = "password";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","password");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "password";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "password";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["password"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "password";
//	userid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "userid";
	$fdata["GoodName"] = "userid";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","userid");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "userid";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "userid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["userid"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "userid";
//	block
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "block";
	$fdata["GoodName"] = "block";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","block");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "block";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "block";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["block"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "block";
//	group
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "group";
	$fdata["GoodName"] = "group";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","group");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "group";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`group`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["group"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "group";
//	reset
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "reset";
	$fdata["GoodName"] = "reset";
	$fdata["ownerTable"] = "proprietari";
	$fdata["Label"] = GetFieldLabel("proprietari","reset");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "reset";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reset";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietari["reset"] = $fdata;
		$tdataproprietari[".searchableFields"][] = "reset";


$tables_data["proprietari"]=&$tdataproprietari;
$field_labels["proprietari"] = &$fieldLabelsproprietari;
$fieldToolTips["proprietari"] = &$fieldToolTipsproprietari;
$placeHolders["proprietari"] = &$placeHoldersproprietari;
$page_titles["proprietari"] = &$pageTitlesproprietari;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["proprietari"] = array();
//	proprietate
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="proprietate";
		$detailsParam["dOriginalTable"] = "proprietate";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "proprietate";
	$detailsParam["dCaptionTable"] = GetTableCaption("proprietate");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["proprietari"][$dIndex] = $detailsParam;

	
		$detailsTablesData["proprietari"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["proprietari"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["proprietari"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["proprietari"][$dIndex]["detailKeys"][]="idProprietar";

// tables which are master tables for current table (detail)
$masterTablesData["proprietari"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_proprietari()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	proprietar,  	cif,  	telefon,  	email,  	dataObtinere,  	observatii,  	proprietate,  	username,  	password,  	userid,  	block,  	`group`,  	reset";
$proto0["m_strFrom"] = "FROM proprietari";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
					
;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "proprietari";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "proprietar",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto8["m_sql"] = "proprietar";
$proto8["m_srcTableName"] = "proprietari";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "cif",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto10["m_sql"] = "cif";
$proto10["m_srcTableName"] = "proprietari";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "telefon",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto12["m_sql"] = "telefon";
$proto12["m_srcTableName"] = "proprietari";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto14["m_sql"] = "email";
$proto14["m_srcTableName"] = "proprietari";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "dataObtinere",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto16["m_sql"] = "dataObtinere";
$proto16["m_srcTableName"] = "proprietari";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "observatii",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto18["m_sql"] = "observatii";
$proto18["m_srcTableName"] = "proprietari";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "proprietate",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto20["m_sql"] = "proprietate";
$proto20["m_srcTableName"] = "proprietari";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "username",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto22["m_sql"] = "username";
$proto22["m_srcTableName"] = "proprietari";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "password",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto24["m_sql"] = "password";
$proto24["m_srcTableName"] = "proprietari";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "userid",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto26["m_sql"] = "userid";
$proto26["m_srcTableName"] = "proprietari";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "block",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto28["m_sql"] = "block";
$proto28["m_srcTableName"] = "proprietari";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "group",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto30["m_sql"] = "`group`";
$proto30["m_srcTableName"] = "proprietari";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "reset",
	"m_strTable" => "proprietari",
	"m_srcTableName" => "proprietari"
));

$proto32["m_sql"] = "reset";
$proto32["m_srcTableName"] = "proprietari";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "proprietari";
$proto35["m_srcTableName"] = "proprietari";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "id";
$proto35["m_columns"][] = "proprietar";
$proto35["m_columns"][] = "cif";
$proto35["m_columns"][] = "telefon";
$proto35["m_columns"][] = "email";
$proto35["m_columns"][] = "dataObtinere";
$proto35["m_columns"][] = "observatii";
$proto35["m_columns"][] = "proprietate";
$proto35["m_columns"][] = "username";
$proto35["m_columns"][] = "password";
$proto35["m_columns"][] = "userid";
$proto35["m_columns"][] = "block";
$proto35["m_columns"][] = "group";
$proto35["m_columns"][] = "reset";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "proprietari";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "proprietari";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="proprietari";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_proprietari = createSqlQuery_proprietari();


	
					
;

														

$tdataproprietari[".sqlquery"] = $queryData_proprietari;



$tableEvents["proprietari"] = new eventsBase;
$tdataproprietari[".hasEvents"] = false;

?>